POST /api/proxies
POST body
Show properties
Show properties
Determines what kind of connection will be used between Proxy Manager and Super Proxy
http | |
https | |
socks |
- name[string]
- value[string]
{
"port":24000,
"zone":"zone_name",
"proxy_type":"persist",
"customer":"customer_id",
"password":"password",
"whitelist_ips":[]
}
curl "http://127.0.0.1:22999/api/proxies" -H "Content-Type: application/json" -d '{"proxy":{"port":24000,"zone":"ZONE","proxy_type":"persist","customer":"CUSTOMER","password":"password","whitelist_ips":[]}}'
#!/usr/bin/env node
(async () => {
const response = await fetch('http://127.0.0.1:22999/api/proxies', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({'proxy':{'port':24000,'zone': 'ZONE','proxy_type':'persist','customer':'CUSTOMER','password':'password','whitelist_ips':[]}}),
});
const data = await response.text();
console.log(data);
})();
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.*;
public class Example {
public static void main(String[] args) throws Exception {
String body = "{\"proxy\":{\"port\":24000,\"zone\":\"ZONE\",\"proxy_type\":\"persist\",\"customer\":\"CUSTOMER\",\"password\":\"password\",\"whitelist_ips\":[]}}";
String res = Executor.newInstance()
.execute(Request.Post("http://127.0.0.1:22999/api/proxies")
.bodyString(body, ContentType.APPLICATION_JSON))
.returnContent().asString();
System.out.println(res)
}
}